Update a workflow
curl --request PUT \
--url https://connie.ai/api/workflows/{workflowId} \
--header 'Content-Type: application/json' \
--header 'Cookie: <api-key>' \
--data '
{
"name": "<string>",
"is_trigger_enabled": true,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://connie.ai/api/workflows/{workflowId}"
payload = {
"name": "<string>",
"is_trigger_enabled": True,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Cookie": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Cookie: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
is_trigger_enabled: true,
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://connie.ai/api/workflows/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connie.ai/api/workflows/{workflowId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'is_trigger_enabled' => true,
'project_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parent_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Cookie: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://connie.ai/api/workflows/{workflowId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"is_trigger_enabled\": true,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Cookie", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://connie.ai/api/workflows/{workflowId}")
.header("Cookie", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"is_trigger_enabled\": true,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://connie.ai/api/workflows/{workflowId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Cookie"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"is_trigger_enabled\": true,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"workflow": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"is_trigger_enabled": true,
"access_mode": "everyone",
"workflow_mode": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_folder": true,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
"<string>"
],
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"nameAdjusted": true,
"requestedName": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}Workflows
Update a workflow
Renames, moves or changes the status of a workflow. Only the fields you send change. A rename that collides with another name gets a numeric suffix; nameAdjusted tells you when that happened. Setting status to archived also turns off its schedule and triggers. To switch a workflow Live or back to Draft, use Set Live status instead of editing status directly. Needs edit access.
PUT
/
workflows
/
{workflowId}
Update a workflow
curl --request PUT \
--url https://connie.ai/api/workflows/{workflowId} \
--header 'Content-Type: application/json' \
--header 'Cookie: <api-key>' \
--data '
{
"name": "<string>",
"is_trigger_enabled": true,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://connie.ai/api/workflows/{workflowId}"
payload = {
"name": "<string>",
"is_trigger_enabled": True,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Cookie": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Cookie: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
is_trigger_enabled: true,
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://connie.ai/api/workflows/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connie.ai/api/workflows/{workflowId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'is_trigger_enabled' => true,
'project_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parent_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Cookie: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://connie.ai/api/workflows/{workflowId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"is_trigger_enabled\": true,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Cookie", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://connie.ai/api/workflows/{workflowId}")
.header("Cookie", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"is_trigger_enabled\": true,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://connie.ai/api/workflows/{workflowId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Cookie"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"is_trigger_enabled\": true,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"workflow": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"is_trigger_enabled": true,
"access_mode": "everyone",
"workflow_mode": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_folder": true,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
"<string>"
],
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"nameAdjusted": true,
"requestedName": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}Authorizations
Path Parameters
Body
application/json